#!/bin/bash

# 定义颜色
RED='\033[0;31m'
GREEN='\033[0;32m'
YELLOW='\033[1;33m'
BLUE='\033[1;34m'
CYAN='\033[1;36m'
NC='\033[0m' # 无色

# 进入目录
cd /usr/local/cloud/cloud-admin/cloud-api/bin || { echo -e "${RED}目录不存在，退出${NC}"; exit 1; }

# 停止 cloud-api 并等待 3 秒
echo -e "${YELLOW}正在停止 cloud-api...${NC}"
./cloud-api stop
sleep 3

# 检查 cloud-api 是否仍在运行，有就 kill
pid=$(pgrep -f "cloud-api")
if [ -n "$pid" ]; then
    echo -e "${RED}检测到 cloud-api 残留进程 (PID: $pid)，正在强制终止...${NC}"
    kill -9 $pid
else
    echo -e "${GREEN}未检测到 cloud-api 进程，继续执行...${NC}"
fi

# 下载新的 cloud-api，可见进度，不显示 URL
echo -e "${BLUE}正在下载 cloud-api...${NC}"
# 判断是amd64或arm64
if [ "$(uname -m)" == "x86_64" ]; then
    echo -e "${GREEN}检测到 amd64 架构${NC}"
    wget --no-verbose --show-progress -O cloud-api https://dl.naixi.net/cdn/flexcdn/1.1.0/cloud-api 2>/dev/null | tail -n +1
elif [ "$(uname -m)" == "aarch64" ]; then
    echo -e "${GREEN}检测到 arm64 架构${NC}"
    wget --no-verbose --show-progress -O cloud-api https://dl.naixi.net/cdn/flexcdn/1.1.0/cloud-api-arm 2>/dev/null | tail -n +1
else
    echo -e "${RED}不支持的架构，请检查系统类型${NC}"
    exit 1
fi

# 赋予执行权限
chmod +x cloud-api

# 启动 cloud-api 并重启 cloud-admin
echo -e "${YELLOW}正在启动 cloud-api 并重启 cloud-admin...${NC}"
./cloud-api start
cloud-admin restart

# 最终提示
echo -e "${GREEN}✅ 安装完成${NC}"
echo -e "${CYAN}📌 TG联系 @BaiPiaoZhenXiang 获取专属报价${NC}"
echo -e "${CYAN}🌐 访问 https://forum.naixi.net/thread-3576-1-1.html 获取激活码${NC}"
